summaryrefslogtreecommitdiffstats
path: root/system/thermal_daemon/thermal_daemon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/thermal_daemon/thermal_daemon.SlackBuild')
-rw-r--r--system/thermal_daemon/thermal_daemon.SlackBuild15
1 files changed, 5 insertions, 10 deletions
diff --git a/system/thermal_daemon/thermal_daemon.SlackBuild b/system/thermal_daemon/thermal_daemon.SlackBuild
index 9d88d8bada..9ec834af3e 100644
--- a/system/thermal_daemon/thermal_daemon.SlackBuild
+++ b/system/thermal_daemon/thermal_daemon.SlackBuild
@@ -23,8 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=thermal_daemon
-VERSION=${VERSION:-1.1_rc2}
-SRCVERSION=$(echo $VERSION | tr _ -)
+VERSION=${VERSION:-1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -55,18 +54,14 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$SRCVERSION
-if [ -e $CWD/$SRCVERSION.tar.gz ]; then
- tar xvf $CWD/$SRCVERSION.tar.gz
-else
- tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
-fi
-cd $PRGNAM-$SRCVERSION
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \